MediaWiki:Gadget-Mainpage.css: Difference between revisions

From Honkai: Nexus Anima Wiki
Jump to navigation Jump to search
Kuhlau (talk | contribs)
Created page with "Mainpage Styles: .mainpage-border { background: var(--theme-color-5); border: 2px solid var(--theme-accent-color); border-radius: 3px; margin-top: 10px; margin-bottom: 10px; text-align: center; } .mainpage-border:has(div.Mainpage-header) { padding: 2px; } .mainpage-header { background: var(--theme-accent-color); border-radius: 2px; color: #000000; font-weight: bold; font-size: 1.4em; padding: 1px; margin-bottom: 10px; } .mainpage-header-link { c..."
 
Kuhlau (talk | contribs)
No edit summary
Line 1: Line 1:
/* Mainpage Styles */
/* Mainpage Styles */
.mainpage-container {
display: flex;
}
/* Set the sidebar to sit below the main page content on mobile */
.skin-minerva .mainpage-container {
flex-direction: column;
}
.mainpage-column {
display: flex;
flex-direction: column;
}
.mainpage-border {
.mainpage-border {
background: var(--theme-color-5);
background: var(--theme-color-9);
border: 2px solid var(--theme-accent-color);
border: 2px solid var(--theme-accent-color);
border-radius: 3px;
border-radius: 3px;
Line 9: Line 24:
}
}


.mainpage-border:has(div.Mainpage-header) {
.mainpage-border:has(div.mainpage-header) {
padding: 2px;
padding: 2px;
}
}
Line 21: Line 36:
padding: 1px;
padding: 1px;
margin-bottom: 10px;
margin-bottom: 10px;
}
#welcome .mainpage-header {
background: inherit;
}
}


Line 52: Line 71:
background-size: cover;
background-size: cover;
background-image: linear-gradient(rgba(249, 245, 242, 0.8),
background-image: linear-gradient(rgba(249, 245, 242, 0.8),
  rgba(249, 245, 242, 0.6)), url("filepath://Site-background-light.jpeg");
  rgba(249, 245, 242, 0.6)), url("https://hna.wiki/images/Site-background-light.jpeg");
}
}
/** Dark Mode **/
/** Dark Mode **/
Line 59: Line 78:
text-shadow: 0px 2px 2px #00000080;
text-shadow: 0px 2px 2px #00000080;
background-size: cover;
background-size: cover;
background-image: url("filepath://Site-background-dark")
background-image: url("https://hna.wiki/images/Site-background-dark")
}
}

Revision as of 16:16, 14 July 2026

/* Mainpage Styles */
.mainpage-container {
	display: flex;
}

/* Set the sidebar to sit below the main page content on mobile */
.skin-minerva .mainpage-container {
	flex-direction: column;
}

.mainpage-column {
	display: flex;
	flex-direction: column;
}


.mainpage-border {
	background: var(--theme-color-9);
	border: 2px solid var(--theme-accent-color);
	border-radius: 3px;
	margin-top: 10px;
	margin-bottom: 10px;
	text-align: center;
}

.mainpage-border:has(div.mainpage-header) {
	padding: 2px;
}

.mainpage-header {
	background: var(--theme-accent-color);
	border-radius: 2px;
	color: #000000;
    font-weight: bold;
	font-size: 1.4em;
	padding: 1px;
	margin-bottom: 10px;
}

#welcome .mainpage-header {
	background: inherit;
}

.mainpage-header-link {
	color: var(--theme-page-text-color);
}
.page__main {
	padding: 23px 15px 15px 30px;
}
.mainpage .page__main {
	padding-right: 30px;
}
.page {
	 border-left: 1px solid var(--theme-color-4);
	 border-right: 1px solid var(--theme-color-4);
	 border-bottom: 1px solid var(--theme-color-4);
	 border-radius: 3px;
}
.wgl-lightmode .page {
	border-top: 5px solid var(--theme-color-1);
}
.wgl-darkmode .page {
	border-top: 5px solid var(--theme-accent-color);
}

/* Background Image for Mainpage */
/** Light Mode **/
.wgl-lightmode .bgimg {
	color: var(--theme-page-text-color);
	text-shadow: 0px 2px 2px #ffffff80;
	background-size: cover;
	background-image: linear-gradient(rgba(249, 245, 242, 0.8),
					  rgba(249, 245, 242, 0.6)), url("https://hna.wiki/images/Site-background-light.jpeg");
}
/** Dark Mode **/
.wgl-darkmode .bgimg {
	color: var(--theme-page-text-color);
	text-shadow: 0px 2px 2px #00000080;
	background-size: cover;
	background-image: url("https://hna.wiki/images/Site-background-dark")
}